import $http from "./request/requestConfig"
import {
    BASE_URI
} from "../pages/utils/constant.js";
import qs from 'qs';

const baseUri = ''
const parkActivity = '/wx/parkActivity'

export function list(data) {
    return $http.post(
        baseUri + parkActivity + '/list',
        data, {}
    )
}

export function getActivityById(id, userId) {
    return $http.post(
        baseUri + parkActivity + '/getActivityById?id=' + id + '&userId=' + userId, {}, {}

    )
}
export function getActivityById1(id, userId) {
    return $http.get(
        baseUri + parkActivity + '/getActivityById?id=' + id + '&userId=' + userId, {}, {}

    )
}
export function clickCollect(data) {
    return $http.post(
        baseUri + parkActivity + '/clickCollect',
        data, {}
    )
}

export function insertRegisSignInfo(data) {
    return $http.post(
        baseUri + parkActivity + '/insertRegisSignInfo',
        data, {}
    )
}

export function listRegisSignInfo(data) {
    return $http.post(
        baseUri + parkActivity + '/listRegisSignInfo',
        data, {}
    )
}

